Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConditionalPut Class Reference

`#include <coherence/util/processor/ConditionalPut.hpp>`

Inherits AbstractProcessor, and PortableObject.

List of all members.

## Detailed Description

ConditionalPut is an EntryProcessor that performs an InvocableMap::Entry::setValue operation if the specified condition is satisfied.

Author:
  tb 2008.04.28

## Public Types
typedef spec::Handle | Handle
| ConditionalPut Handle definition.
typedef spec::View | View
| ConditionalPut View definition.
typedef spec::Holder | Holder
| ConditionalPut Holder definition.
## Public Member Functions
virtual Object::Holder | process (InvocableMap::Entry::Handle hEntry) const
  | Process a Map::Entry object. Parameters:
  | hEntry | the Entry to process
Returns: the result of the processing, if any
virtual Map::View | processAll (Set::View vsetEntries) const
| Process a Set of InvocableMap::Entry objects. This method is semantically equivalent to:
       Map::Handle hMapResults = HashMap::create();
       for (Iterator::Handle hIter = vSetEntries->iterator();
           iter->hasNext; )
           {
           InvocableMap::Entry::Handle hEntry =
                   cast<InvocableMap::Entry::Handle>(hIter->next());
           hMapResults->put(hEntry->getKey(), process(hEntry));
           }
       return hMapResults;
  Parameters:
  | vSetEntries | a Set of InvocableMap::Entry objects to process
Returns: a Map containing the results of the processing, up to one entry for each InvocableMap::Entry that was processed, keyed by the keys of the Map that were processed, with a corresponding value being the result of the processing for each key
virtual void | readExternal (PofReader::Handle hIn)
virtual void | writeExternal (PofWriter::Handle hOut) const
virtual bool | equals (Object::View v) const
virtual size32_t | hashCode () const
| Return a hash code value for the Object. This method is supported for the benefit of hash-based containers. The general contract of `hashCode` is: Whenever it is invoked on the same Object more than once during an execution of an application, the `hashCode` method must consistently return the same value, provided no information used in `equals` comparisons on the object is modified. This value need not remain consistent from one execution of an application to another execution of the same application. If two Objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two Objects must produce the same value. It is not required that if two Objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct results. However, the programmer should be aware that producing distinct results for unequal objects may improve the performance of hash-based containers. The default implementation is identity based. Returns: a hash code value for this Object
## Protected Member Functions
| ConditionalPut ()
| Construct a ConditionalPut.
| ConditionalPut (Filter::View vFilter, Object::Holder ohValue, bool fReturn=false)
| Construct a ConditionalPut that updates an entry with a new value if and only if the filter applied to the entry evaluates to true.
## Protected Attributes
MemberView< Filter > | m_vFilter
| The underlying filter.
MemberHolder< Object > | m_hValue
| Specifies the new value to update an entry with.
bool | m_fReturn
| Specifies whether or not a return value is required.

## Constructor & Destructor Documentation

ConditionalPut | ( | Filter::View | vFilter,
|  | Object::Holder | ohValue,
|  | bool | fReturn = `false` |
| ) |  |  | `[protected]`

Construct a ConditionalPut that updates an entry with a new value if and only if the filter applied to the entry evaluates to true.

This processor optionally returns the current value as a result of the invocation if it has not been updated (the filter evaluated to false).

Parameters:

  | vFilter | the filter to evaluate an entry
  | ohValue | a value to update an entry with
  | fReturn | specifies whether or not the processor should return the current value in case it has not been updated

The documentation for this class was generated from the following file:

- coherence/util/processor/ConditionalPut.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.